%define name          dockapp
%define version       0.4.0
%define prefix        %{_prefix}
%define release       2mdk
%define lib_name_orig libdockapp
%define lib_major     0
%define lib_name      %{lib_name_orig}%{lib_major}


# virtual package to enforce naming convention

Summary: A library useful for dockapps
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Source:		libdockapp-0.4.0.tar.bz2
Source1:	libdockapp-0.4.0.patch.bz2
URL:		ftp://shadowmere.student.utwente.nl/pub/WindowMaker
Group:		System/Libraries
Packager:	HA Quc-Vit <viet@mandrakesoft.com>
Requires:	XFree86-libs libxpm4
BuildRequires:	XFree86-devel libxpm4-devel
Prefix:         /usr
BuildRoot:	%{_tmppath}/%{lib_name}-buildroot

%description
libDockApp is a rather small library dedicated to writting dock apps
for wmaker. 


# main package (contains *.so.[major].* only)

%package -n %{lib_name}
Summary: A library useful for dockapps
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.


# devel part of the bundle

%package -n %{lib_name}-devel
Summary: A library useful for dockapps - development environment
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Install %{name} if you need to compile an application with %{lib_name}
support.



%prep 

%setup -n libdockapp-%{version}
bunzip2 -c $SOURCE1 | patch -p1 
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig



%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING 
%{_libdir}/libdockapp.so.1.0.0
%{_libdir}/libdockapp.so.1





%files  -n %{lib_name}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_libdir}/libdockapp.a
%{_libdir}/libdockapp.la
%{_libdir}/libdockapp.so
%{_includedir}/dockapp.h



%changelog
* Wed Jul 25 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-2mdk
- integrated libdockapp_0.4.0-8.diff.gz from debian

* Fri Jun 01 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-1mdk
- Initial release.

* Mon May 07 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-0mdk
- Initial packaging.
